#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Atomic file writes
Summary(pl.UTF-8):	Atomowy zapis plików
Name:		python-atomicwrites
Version:	1.4.1
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/atomicwrites/
Source0:	https://files.pythonhosted.org/packages/source/a/atomicwrites/atomicwrites-%{version}.tar.gz
# Source0-md5:	9ff8e556d0b4a411d0cebbdb3fb0c70d
Patch0:		sphinx.patch
URL:		https://github.com/untitaker/python-atomicwrites
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Atomic file writes.

%description -l pl.UTF-8
Atomowy zapis plików.

%package -n python3-atomicwrites
Summary:	Atomic file writes
Summary(pl.UTF-8):	Atomowy zapis plików
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-atomicwrites
Atomic file writes.

%description -n python3-atomicwrites -l pl.UTF-8
Atomowy zapis plików.

%package apidocs
Summary:	API documentation for Python atomicwrites module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona atomicwrites
Group:		Documentation

%description apidocs
API documentation for Python atomicwrites module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona atomicwrites.

%prep
%setup -q -n atomicwrites-%{version}
%patch -P0 -p1

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/atomicwrites
%{py_sitescriptdir}/atomicwrites-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-atomicwrites
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/atomicwrites
%{py3_sitescriptdir}/atomicwrites-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Tue Mar 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-atomicwrites.git;a=log;h=master

* Tue Mar 18 2025 Jan Palus <atler@pld-linux.org> f882c4d
- Release 4 (by relup.sh)

* Tue Mar 18 2025 Jan Palus <atler@pld-linux.org> 80d2af9
- fix doc build wih recent sphinx

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8814bcd
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 01fbb88
- python 3.13 rebuild

* Sat Sep 03 2022 Jakub Bogusz <qboosh@pld-linux.org> fec1a22
- updated to 1.4.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> f584f78
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 71668bb
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 31fccf0
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> a707a61
- updated to 1.4.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c4aef56
- release 2 (by relup.sh)

* Sat Jan 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 2a8bf5e
- updated to 1.3.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7966443
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Nov 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 2ed29ec
- updated to 1.2.1

* Mon Jul 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 6a2c21f
- new

